{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% import '_includes/macros.html.twig' as appMacros %}
{% block title %}{{ flux.name }}{% endblock %}
{% if flux.status == constant('STATUS_PRODUCTION',flux) %}
    {% set _breadcrumb = [['Flux en production','flux.production'],[flux.name,'flux.detail',{id:flux.id}]] %}
{% else %}
    {% set _breadcrumb = [['Flux en cours de conception','flux.conception'],[flux.name,'flux.detail',{id:flux.id}]] %}
{% endif %}
{% set route = app.request.get('_route') %}
{% set is_admin = is_granted('ROLE_ADMIN') %}
{% set is_running = flux.statusInfos.status == constant('AppBundle\\Entity\\Process::STATUS_RUNNING') %}
{% set is_draft = flux.statusInfos.status == constant('AppBundle\\Entity\\Flux::STATUS_DRAFT') %}
{% set is_blocked = flux.statusInfos.status == constant('AppBundle\\Entity\\Flux::STATUS_BLOCKED') %}
{% set is_paused = flux.statusInfos.status == constant('AppBundle\\Entity\\Flux::STATUS_PAUSED') %}

{% block content %}
    <!-- Content Header (Page header) -->
    <section class="content-header">
        {% if not is_admin %}
            <div class="btn-group pull-right">
                {% set text = "" %}
                {% set icon = "" %}
                {% set routeImport = "" %}
                {% if flux.mode == 'manual' %}
                    {% set text = "Importation manuelle" %}
                    {% set icon = "fa fa-hand-pointer-o" %}
                    {% set routeImport = path('flux.import.manual', {id: flux.id}) %}
                {% elseif flux.mode == 'pull' %}
                    {% set text = "Programmer immédiatement" %}
                    {% set icon = "fa fa-clock-o" %}
                    {% set routeImport = path('flux.import.pull', {id: flux.id}) %}
                {% elseif flux.mode == 'push' %}
                    {% set text = "Envoyer un fichier" %}
                    {% set icon = "fa fa-info-circle" %}
                    {% set routeImport = path('flux.import.push', {id: flux.id}) %}
                {% endif %}
                {% set routeImport = is_granted('flux.start', flux) ? routeImport : "#" %}
                <a href="{{ routeImport }}" {% if routeImport == "#" %}disabled="disabled"{% else %}data-toggle="modal-remote"{% endif %} class="btn btn-primary">
                    <span class="{{ icon }}"></span> {{ text }}
                </a>
            </div>
        {% endif %}
        <h1>
            {{ flux.name }}
            {{ appMacros.flux_status_frame(flux.statusInfos.status, flux.statusInfos.label, flux.statusInfos.description) }}
        </h1>
    </section>

    <section class="content">
        <!-- /.row -->
        <div class="row">
            <div class="col-xs-12">
                <div class="nav-tabs-custom">
                    <ul class="nav nav-tabs" role="tablist">

                        {% set disabledMessage = "Cet onglet n'est pas disponible pour le moment." %}
                        {% set tooltipOptions = {'side': 'bottom'} | json_encode %}

                        {# ____ REPORT TAB #}
                        {#{% if flux.lastActiveProcess == null %}#}
                            {#TODO#}
                        {% if is_draft %}
                            <li class="disabled _tooltip" data-tooltip="{{ tooltipOptions }}" title="{{ disabledMessage }}">
                                <a href="#">
                                    Rapport
                                </a>
                            </li>
                        {% else %}
                            <li class="{{ 'flux.detail' in route ? 'active' }}">
                                <a href="{{ path('flux.detail', { id: flux.id }) }}">
                                    Rapport
                                </a>
                            </li>
                        {% endif %}

                        {# ____ PARAMETERS TAB #}
                        <li class="{{ 'flux.parameters' in route ? 'active' }}">
                            <a href="{{ path('flux.parameters', { id: flux.id }) }}">Paramètres</a>
                        </li>

                        {# ____ RULESETS TAB #}
                        <li class="{{ 'flux.ruleset.index' in route ? 'active' }}">
                            <a href="{{ path('flux.ruleset.index', { id: flux.id }) }}">Règles d'alignement</a>
                        </li>

                        {# ____ POI TAB #}
                        {% if is_running or is_draft or flux.lastActiveProcess == null %}
                            <li class="disabled _tooltip" data-tooltip="{{ tooltipOptions }}" title="{{ disabledMessage }}">
                                <a href="#">
                                    POI <span class="label label-default"></span>
                                </a>
                            </li>
                        {% else %}
                            <li class="{{ 'flux.resources' in route ? 'active' }}">
                                <a href="{{ path('flux.resources', { id: flux.id }) }}">
                                    POI <span class="label label-default">{{ poi_count | number_format }}</span>
                                </a>
                            </li>
                        {% endif %}

                        {# ____ ANOMALIES TAB #}
                        {% if is_running or is_draft or flux.lastActiveProcess == null or flux.lastActiveProcess.status == constant('STATUS_ERROR', flux.lastActiveProcess) %}
                            <li class="disabled _tooltip" data-tooltip="{{ tooltipOptions }}" title="{{ disabledMessage }}">
                                <a href="#">
                                    Anomalies <span class="label label-default"></span>
                                </a>
                            </li>
                        {% else %}
                            <li class="{{ 'flux.anomalies' in route ? 'active' }}">
                                <a href="{{ path('flux.anomalies', { id: flux.id }) }}">
                                    Anomalies <span class="label label-{{ anomaly_count > 0 ? 'warning' : 'primary' }}">{{ anomaly_count | number_format }}</span>
                                </a>
                            </li>
                        {% endif %}

                        <li class="{{ 'flux.processes' in route ? 'active' }}">
                            <a href="{{ path('flux.processes', { id: flux.id }) }}">Historique</a>
                        </li>

                        {# ____ ADMINISTRATION TAB #}
                        {% if workflow_can(flux, 'pause') or workflow_can(flux, 'unpause') or
                              workflow_can(flux, 'block') or workflow_can(flux, 'unblock') or is_granted('flux.delete', flux)
                        %}
                            <li class="{{ 'flux.admin' in route ? 'active' }}">
                                <a href="{{ path('flux.admin', { id: flux.id }) }}">
                                    Administration
                                </a>
                            </li>
                        {% endif %}

                    </ul>
                    <div class="tab-content no-padding">
                        <div class="tab-pane active">
                            {% block subcontent %}{% endblock %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    {#{% include "flux/detail/_modals.twig" %}#}
{% endblock %}